package com.eactive.eai.adapter.http.client.impl;

import com.eactive.eai.adapter.http.client.HttpClientAdapterService;
import com.eactive.eai.httpouttlsinfo.HttpOutTlsInfoVO;

import java.util.Properties;

public class HttpClientAdapterServiceNoop implements HttpClientAdapterService {
    public Object execute(Properties prop, Object data, Properties tempProp) throws Exception {
        return null;
    }

    @Override
    public void close() {
    }

    @Override
    public void init(String adapterName, boolean useMtls, HttpOutTlsInfoVO mtlsInfo, int maxTotalConnections, int maxHostConnections) {
    }
}

